=== debian/changelog ===
open-iscsi (2.1.9-3ubuntu5.4) noble; urgency=medium

  * d/extra/initramfs/local-top/iscsi: add a flag to skip network
    configuration when iscsi is set to 'auto' but no iBFT data is present.
    Thanks to Alec Warren <alecwarren19@gmail.com>. (LP: #2098515)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 04 Jun 2025 09:20:05 -0300

open-iscsi (2.1.9-3ubuntu5.3) noble; urgency=medium

  * IPv6 support for iBFT iSCSI boot (LP: #2097808)
    - d/p/lp2097808-IPv6-support-for-iBFT-iSCSI-boot-493.patch

 -- Chengen Du <chengen.du@canonical.com>  Tue, 11 Feb 2025 03:18:07 +0000

open-iscsi (2.1.9-3ubuntu5.2) noble; urgency=medium

  * d/p/lp2073846-setpriority-fix-for-linux-6x-kernel.patch: fix setpriority
    issue for linux kernel version >=6. (LP: #2073846)

 -- Mustafa Kemal GILOR <mustafa.gilor@canonical.com>  Mon, 02 Sep 2024 11:02:19 +0300

open-iscsi (2.1.9-3ubuntu5.1) noble; urgency=medium

  * initramfs-hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 01 Jul 2024 21:01:25 +0200

open-iscsi (2.1.9-3ubuntu5) noble; urgency=medium

  * No-change rebuild against libmount1t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Apr 2024 18:45:14 +0200

open-iscsi (2.1.9-3ubuntu4) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:46:46 +0200

open-iscsi (2.1.9-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:40:43 +0000

open-iscsi (2.1.9-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:22:33 +0000

open-iscsi (2.1.9-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040361). Remaining changes:
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
    - d/p/fix-format-overflow-warnings.patch: Fix format overflow warnings
      seen when building with -O3 to avoid FTBFS on ppc64el
  * d/t/patch-image: fixed kernel detection by manually mounting /boot when
    downloaded image contains a separate /boot partition
  * d/t/install: fixed test by forcing a package reinstall so that
    /etc/iscsi/initiatorname.iscsi can have expected value from the
    postinst script

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Thu, 14 Dec 2023 10:08:38 -0300

open-iscsi (2.1.9-3) unstable; urgency=medium

  * Release to unstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Nov 2023 01:30:00 +0100

open-iscsi (2.1.9-2) experimental; urgency=medium

  * [1ceb4b9] Move files from / to /usr
  * [ab986c9] Apply wrap-and-sort -kas

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 Nov 2023 17:02:11 +0100

open-iscsi (2.1.9-1) unstable; urgency=medium

  * [90dd9cd] New upstream version 2.1.9
 
 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 11 Nov 2023 00:49:32 +0100

open-iscsi (2.1.8-2) unstable; urgency=medium

  [ Eric Mackay ]
  * [195bc9a] Update debian/watch to use api.github

  [ Chris Hofstaedtler ]
  * [5dde3d5] Import README.source from systemd
  * [f00c96e] Import patches into gbp-pq workflow
  * Merge upstream git history
  
  [ Debian Janitor ]
  * [ebe24b7] Remove constraints unnecessary since buster (oldstable)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 27 Aug 2023 12:10:27 +0200
