=== debian/changelog ===
open-iscsi (2.1.9-3ubuntu5.3trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 16 Mar 2025 09:44:40 +0000
