=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: open-iscsi
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian iSCSI Maintainers <open-iscsi@packages.debian.org>
 Uploaders:
  Ritesh Raj Sarraf <rrs@debian.org>,
