## open-iscsi 2.1.10

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 DESTDIR ?=
 
 # our VERSION String
-ISCSI_VERSION_STR ?= 2.1.9
+ISCSI_VERSION_STR ?= 2.1.10
 
 prefix = /usr
-exec_prefix = /usr
+exec_prefix =
 mandir = $(prefix)/share/man
 etcdir = /etc
