=== debian/changelog ===
open-iscsi (2.1.10-3ubuntu3) plucky; urgency=medium

  * d/t/{patch-image,testlib.py}: clean tests to make them work again
    (LP: #2095584)
    Historically this tried to become a test library for re-use, but
    that hasn't materilaized. Over time this bit rot and has issues
    on plucky. Clean unused sections and modernize a few others to make
    the tests work again.
    - d/t/patch-image: UEFI enabled images have boot after root
    - d/t/patch-image: drop handling of locally configured file:// repos
    - d/t/patch-image: drop in target debug custom services
    - d/t/patch-image: drop unused krd only function
    - d/t/patch-image: make execution more verbose
    - d/t/testlib.py: remove unused testuser handling
    - d/t/testlib.py: remove unused timeout handling
    - d/t/testlib.py: remove unused kdeinit handling
    - d/t/testlib.py: remove unused apparmor handling
    - d/t/testlib.py: convert regex to raw strings
    - d/t/testlib.py: remove unused AddUser class and thereby
                      no more import deprecated crypt

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 13 Feb 2025 13:03:37 +0100

open-iscsi (2.1.10-3ubuntu2) plucky; urgency=medium

  * IPv6 support for iBFT iSCSI boot (LP: #2097808)
    - d/p/lp2097808-IPv6-support-for-iBFT-iSCSI-boot-493.patch

 -- Chengen Du <chengen.du@canonical.com>  Tue, 11 Feb 2025 03:39:28 +0000

open-iscsi (2.1.10-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085209). Remaining changes:
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
      + d/t/install: fixed test by forcing a package reinstall so that
        /etc/iscsi/initiatorname.iscsi can have expected value from the
        postinst script
    - Include iscsiuio.socket in iscsiuio package (LP 2072484)
      - d/iscsiuio.install: Add usr/lib/systemd/system/iscsiuio.socket
      - d/not-installed: Remove iscsiuio.socket entry
      - d/rules: Set up iscsiuio.socket with systemd

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 13 Jan 2025 12:06:16 +0100

open-iscsi (2.1.10-3) unstable; urgency=medium

  * [74f7df6] Follow upstream change of moving the database path:
    Move nodes database to new path (in /var/lib/iscsi) on upgrade.
    Ensure /var/lib/iscsi exists, by installing it as a directory in
    the .deb.
    Update ConditionDirectoryNotEmpty in systemd service.
    Thanks to Friedrich Weber <f.weber@proxmox.com> (Closes: #1090725)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 02 Jan 2025 15:49:07 +0100

open-iscsi (2.1.10-2) unstable; urgency=medium

  * [d26aa9e] open-iscsi-udeb: add Architecture riscv64 (Closes: #1087701)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 17 Nov 2024 17:56:24 +0100

open-iscsi (2.1.10-1ubuntu2) plucky; urgency=medium

  * Include iscsiuio.socket in iscsiuio package (LP: #2072484)
    - d/iscsiuio.install: Add usr/lib/systemd/system/iscsiuio.socket
    - d/not-installed: Remove iscsiuio.socket entry
    - d/rules: Set up iscsiuio.socket with systemd

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 13 Nov 2024 12:00:34 -0700

open-iscsi (2.1.10-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064381). Remaining changes:
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
    - d/t/install: fixed test by forcing a package reinstall so that
      /etc/iscsi/initiatorname.iscsi can have expected value from the
      postinst script
  * Dropped changes:
    - d/p/fix-format-overflow-warnings.patch: Fix format overflow warnings
      seen when building with -O3 to avoid FTBFS on ppc64el
      [ Fixed in 2.1.10 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 25 Jun 2024 18:05:47 -0300

open-iscsi (2.1.10-1) unstable; urgency=medium

  * New upstream version 2.1.10
  * [4968264] Rebase patches

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 13 Jun 2024 02:51:38 +0200

open-iscsi (2.1.9-4) unstable; urgency=medium

  * [41ee5f4] iscsid.service: add After=run-lock.mount (Closes: #1071178)
  * [7463084] Replace Build-Depends: pkg-config (deprecated) with pkgconf
  * [fb96753] Build using meson build system
  * [ddff4f1] Tighten dependency on libopeniscsiusr

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 19 May 2024 01:30:33 +0200
