=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: open-iscsi
 Section: net
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian iSCSI Maintainers <open-iscsi@packages.debian.org>
 Uploaders:
  Ritesh Raj Sarraf <rrs@debian.org>,
@@ -18,7 +18,8 @@
  libmount-dev,
  libssl-dev,
  libsystemd-dev,
- pkg-config
+ meson,
+ pkgconf
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/linux-blocks-team/open-iscsi.git
 Vcs-Browser: https://salsa.debian.org/linux-blocks-team/open-iscsi
@@ -29,7 +30,7 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends:
- libopeniscsiusr,
+ libopeniscsiusr (= ${binary:Version}),
  udev,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -91,7 +92,7 @@
 Package: libopeniscsiusr-dev
 Architecture: all
 Depends:
- libopeniscsiusr,
+ libopeniscsiusr (>= ${source:Version}),
  ${misc:Depends}
 Enhances:
  open-iscsi
@@ -120,7 +121,7 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends:
- libopeniscsiusr,
+ libopeniscsiusr (= ${binary:Version}),
  udev,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -151,7 +152,7 @@
 #       linux kernel udebs) must exist for these architectures - so
 #       check that before adding them to this list; the other
 #       scsi-(core|common|...)-modules are NOT sufficient!
-Architecture: amd64 arm64 armhf i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x
+Architecture: amd64 arm64 armhf i386 ia64 mips mipsel powerpc ppc64 ppc64el riscv64 s390x
 Section: debian-installer
 Package-Type: udeb
 Depends:
