=== libopeniscsiusr/Makefile ===
--- 
+++ 
@@ -11,14 +11,17 @@
 DESTDIR ?=
 prefix ?= /usr
 INSTALL ?= install
-exec_prefix = $(prefix)
+exec_prefix =
 etcdir = /etc
 SBINDIR ?= $(exec_prefix)/sbin
 DBROOT ?= $(etcdir)/iscsi
 
 ifndef LIB_DIR
-	DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-	LIB_DIR=$(prefix)/lib/$(DEB_HOST_MULTIARCH)
+	ifeq ($(shell test -d /lib64 && echo 1),1)
+		LIB_DIR=$(prefix)/lib64
+	else
+		LIB_DIR=$(prefix)/lib
+	endif
 endif
 
 INCLUDE_DIR ?= $(prefix)/include
