=== debian/changelog ===
open-iscsi (2.1.11-1+deb13u1) trixie; urgency=medium

  * [f3d17cf] initramfs: ensure that /var/lib exists.
    Thanks to Leon Blakey <code@leonblakey.com> (Closes: #1103644)

 -- Michael Prokop <mika@debian.org>  Fri, 15 Aug 2025 23:26:38 +0200

open-iscsi (2.1.11-1) unstable; urgency=medium

  * New upstream version 2.1.11.
  * Recommend finalrd only on Ubuntu. (Closes: #1072359)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 09 Mar 2025 18:18:38 +0100
