=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: open-iscsi
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian iSCSI Maintainers <open-iscsi@packages.debian.org>
+Maintainer: Debian iSCSI Maintainers <open-iscsi@packages.debian.org>
 Uploaders:
  Ritesh Raj Sarraf <rrs@debian.org>,
  Christian Seiler <christian@iwakd.de>,
@@ -35,7 +34,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- finalrd (>= 3),
+ ${finalrd:Recommends},
  ${busybox:Recommends}
 Pre-Depends:
  debconf | debconf-2.0
