=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,6 @@
 override_dh_installsystemd:
 	dh_installsystemd -p open-iscsi --no-restart-on-upgrade iscsid.socket
 	dh_installsystemd -p open-iscsi --no-restart-on-upgrade open-iscsi.service
-	dh_installsystemd -p iscsiuio --no-restart-on-upgrade iscsiuio.socket
 	dh_installsystemd -p iscsiuio --no-restart-on-upgrade iscsiuio.service
 
 override_dh_installdocs:
@@ -78,7 +77,9 @@
 # On Debian we can use either busybox or busybox-static, but on Ubuntu
 # and derivatives only busybox-initramfs will work.
 BUSYBOX_PACKAGES := $(shell if dpkg-vendor --derives-from ubuntu; then echo busybox-initramfs; else echo busybox busybox-static; fi)
+FINALRD_PACKAGE := $(shell if dpkg-vendor --derives-from ubuntu; then echo "finalrd (>= 3)"; else echo ""; fi)
 
 override_dh_gencontrol:
 	echo >> debian/open-iscsi.substvars "busybox:Recommends=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=| %))"
+	echo >> debian/open-iscsi.substvars "finalrd:Recommends=$(FINALRD_PACKAGE)"
 	dh_gencontrol
