=== debian/tests/control ===
Tests: install
Restrictions: needs-root, isolation-machine, breaks-testbed

Tests: nested
Restrictions: needs-root, isolation-machine, breaks-testbed, allow-stderr
Depends:
 python3,
 python3-netifaces,
 qemu-system,
 qemu-utils,
 targetcli-fb
