=== debian/watch ===
version=4
opts="searchmode=plain, \
  pgpmode=none, \
  dversionmangle=auto" \
https://api.github.com/repos/open-iscsi/open-iscsi/releases \
https://api.github.com/repos/open-iscsi/open-iscsi/tarball/@ANY_VERSION@
